﻿using DrumPadDemo.TizenMobile;
using System;
using System.Threading.Tasks;
using Tizen.Multimedia;
using Xamarin.Forms;
using Tizen;

[assembly: Dependency(typeof(TizenAudioPlayer))]
namespace DrumPadDemo.TizenMobile
{

    class TizenAudioPlayer : IAudioPlayer
    {
        Player audioPlayer = new Player();
        public async Task PlayAudioFile(string fileName)
        {
            Player audioPlayer = new Player();
            audioPlayer.SetSource(new MediaUriSource("/opt/usr/home/owner/apps_rw/DrumPadDemo.TizenMobile/res/" + fileName));
            await audioPlayer.PrepareAsync();
            audioPlayer.Start();

            EventHandler<EventArgs> playbackCompletedEvent = (s, e) =>
            {
                audioPlayer.Unprepare();
            };

            audioPlayer.PlaybackCompleted += playbackCompletedEvent;
        }
    }
}
